Skip to content

Applications and MCP

All API areas

Use the linked wire models for field constraints. Operation metadata does not enumerate every possible HTTP error or replace current server authorization.

On this page

List

HTTP
GET /api/v1/authorized-applications

Contract operation: AuthorizedApplicationController.list.

SDK Method
Python authorized_applications
TypeScript authorizedApplications.list
Java client.authorizedApplications.list

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
q query QueryParam[str] No ""
status query QueryParam[str] No "all"
page query QueryParam[int] No 1
page_size query QueryParam[int] No 25
sort query QueryParam[str] No "connected_at"
order query QueryParam[str] No "desc"

Request and response

Contract Value
Request schema No request schema declared
Response schema Page[AuthorizedApplication]
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Detail

HTTP
GET /api/v1/authorized-applications/{application_id}

Contract operation: AuthorizedApplicationController.detail.

SDK Method
Python authorized_application
TypeScript authorizedApplications.get
Java client.authorizedApplications.get

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
application_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema AuthorizedApplication
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Revoke

HTTP
DELETE /api/v1/authorized-applications/{application_id}

Contract operation: AuthorizedApplicationController.revoke.

SDK Method
Python revoke_authorized_application
TypeScript authorizedApplications.revoke
Java client.authorizedApplications.revoke

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
application_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema No response body
Success status 204
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Stage

HTTP
POST /api/v1/tenants/{tenant_id}/external-knowledge-reviews

Contract operation: ExternalKnowledgeReviewController.stage.

SDK Method
Python stage_external_review
TypeScript externalReviews.stage
Java client.externalReviews.stage

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[ExternalReviewInput]] Yes Not specified

Request and response

Contract Value
Request schema ExternalReviewInput
Response schema ExternalReviewView
Success status 201
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

  • Idempotency-Key (required; caller-supplied stable operation key)

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Get

HTTP
GET /api/v1/tenants/{tenant_id}/external-knowledge-reviews/{review_id}

Contract operation: ExternalKnowledgeReviewController.get.

SDK Method
Python external_review
TypeScript externalReviews.get
Java client.externalReviews.get

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
review_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema ExternalReviewView
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Approve

HTTP
POST /api/v1/tenants/{tenant_id}/external-knowledge-reviews/{review_id}/approve

Contract operation: ExternalKnowledgeReviewController.approve.

SDK Method
Python approve_external_review
TypeScript externalReviews.approve
Java client.externalReviews.approve

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
review_id path PathVar[str] Yes Not specified
body body Valid[Body[ExternalReviewDecision]] Yes Not specified

Request and response

Contract Value
Request schema ExternalReviewDecision
Response schema KnowledgeCommitOutcome
Success status 200, 202
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

  • Idempotency-Key (required; caller-supplied stable operation key)

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Cancel

HTTP
POST /api/v1/tenants/{tenant_id}/external-knowledge-reviews/{review_id}/cancel

Contract operation: ExternalKnowledgeReviewController.cancel.

SDK Method
Python cancel_external_review
TypeScript externalReviews.cancel
Java client.externalReviews.cancel

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
review_id path PathVar[str] Yes Not specified
body body Valid[Body[ExternalReviewDecision]] Yes Not specified

Request and response

Contract Value
Request schema ExternalReviewDecision
Response schema ExternalReviewView
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Cleanup

HTTP
POST /api/v1/tenants/{tenant_id}/external-file-reviews/cleanup

Contract operation: ExternalFileReviewController.cleanup.

SDK Method
Python cleanup_external_file_reviews
TypeScript externalFileReviews.cleanup
Java client.externalFileReviews.cleanup

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[ExternalFileCleanupInput]] Yes Not specified

Request and response

Contract Value
Request schema ExternalFileCleanupInput
Response schema ExternalFileCleanupResult
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Stage

HTTP
POST /api/v1/tenants/{tenant_id}/external-file-reviews

Contract operation: ExternalFileReviewController.stage.

SDK Method
Python stage_external_file_review
TypeScript externalFileReviews.stage
Java client.externalFileReviews.stage

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[ExternalFileReviewInput]] Yes Not specified

Request and response

Contract Value
Request schema ExternalFileReviewInput
Response schema ExternalFileReviewView
Success status 201
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

  • Idempotency-Key (required; caller-supplied stable operation key)

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Get

HTTP
GET /api/v1/tenants/{tenant_id}/external-file-reviews/{review_id}

Contract operation: ExternalFileReviewController.get.

SDK Method
Python external_file_review
TypeScript externalFileReviews.get
Java client.externalFileReviews.get

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
review_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema ExternalFileReviewView
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Chunk

HTTP
POST /api/v1/tenants/{tenant_id}/external-file-reviews/{review_id}/chunks

Contract operation: ExternalFileReviewController.chunk.

SDK Method
Python upload_external_file_chunk
TypeScript externalFileReviews.chunk
Java client.externalFileReviews.chunk

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
review_id path PathVar[str] Yes Not specified
body body Valid[Body[ExternalFileChunkInput]] Yes Not specified

Request and response

Contract Value
Request schema ExternalFileChunkInput
Response schema ExternalFileReviewView
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Seal

HTTP
POST /api/v1/tenants/{tenant_id}/external-file-reviews/{review_id}/seal

Contract operation: ExternalFileReviewController.seal.

SDK Method
Python seal_external_file_review
TypeScript externalFileReviews.seal
Java client.externalFileReviews.seal

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
review_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema ExternalFileReviewView
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Approve

HTTP
POST /api/v1/tenants/{tenant_id}/external-file-reviews/{review_id}/approve

Contract operation: ExternalFileReviewController.approve.

SDK Method
Python approve_external_file_review
TypeScript externalFileReviews.approve
Java client.externalFileReviews.approve

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
review_id path PathVar[str] Yes Not specified
body body Valid[Body[ExternalReviewDecision]] Yes Not specified

Request and response

Contract Value
Request schema ExternalReviewDecision
Response schema ExternalFileReviewView
Success status 200, 202
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

  • Idempotency-Key (required; caller-supplied stable operation key)

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Cancel

HTTP
POST /api/v1/tenants/{tenant_id}/external-file-reviews/{review_id}/cancel

Contract operation: ExternalFileReviewController.cancel.

SDK Method
Python cancel_external_file_review
TypeScript externalFileReviews.cancel
Java client.externalFileReviews.cancel

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
review_id path PathVar[str] Yes Not specified
body body Valid[Body[ExternalReviewDecision]] Yes Not specified

Request and response

Contract Value
Request schema ExternalReviewDecision
Response schema ExternalFileReviewView
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Get

HTTP
GET /api/v1/mcp/connection

Contract operation: McpConnectionController.get.

SDK Method
Python mcp_connection
TypeScript mcp.connection
Java client.mcp.connection

Parameters

No path, query or body arguments are declared in the canonical operation metadata.

Request and response

Contract Value
Request schema No request schema declared
Response schema McpConnectionDescriptor
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Get

HTTP
GET /api/v1/tenants/{tenant_id}/mcp/connection

Contract operation: McpOrganizationConnectionController.get.

SDK Method
Python organization_mcp_connection
TypeScript mcp.organizationConnection
Java client.mcp.organizationConnection

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema McpConnectionDescriptor
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Readiness

HTTP
GET /api/v1/tenants/{tenant_id}/mcp/oauth-clients/readiness

Contract operation: McpOAuthClientController.readiness.

SDK Method
Python mcp_oauth_clients_readiness
TypeScript mcpOAuthClients.readiness
Java client.mcpOAuthClients.readiness

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema McpOAuthClientReadiness
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Page

HTTP
GET /api/v1/tenants/{tenant_id}/mcp/oauth-clients

Contract operation: McpOAuthClientController.page.

SDK Method
Python mcp_oauth_clients
TypeScript mcpOAuthClients.list
Java client.mcpOAuthClients.list

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
q query QueryParam[str] No ""
status query QueryParam[str] No "all"
page query QueryParam[int] No 1
page_size query QueryParam[int] No 25
sort query QueryParam[str] No "name"
order query QueryParam[str] No "asc"

Request and response

Contract Value
Request schema No request schema declared
Response schema McpOAuthClientPage
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Create

HTTP
POST /api/v1/tenants/{tenant_id}/mcp/oauth-clients

Contract operation: McpOAuthClientController.create.

SDK Method
Python create_mcp_oauth_client
TypeScript mcpOAuthClients.create
Java client.mcpOAuthClients.create

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[McpOAuthClientInput]] Yes Not specified

Request and response

Contract Value
Request schema McpOAuthClientInput
Response schema McpOAuthClientCredential
Success status 201
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Retrieve

HTTP
GET /api/v1/tenants/{tenant_id}/mcp/oauth-clients/{client_id}

Contract operation: McpOAuthClientController.retrieve.

SDK Method
Python mcp_oauth_client
TypeScript mcpOAuthClients.get
Java client.mcpOAuthClients.get

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
client_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema McpOAuthClient
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Update

HTTP
PATCH /api/v1/tenants/{tenant_id}/mcp/oauth-clients/{client_id}

Contract operation: McpOAuthClientController.update.

SDK Method
Python update_mcp_oauth_client
TypeScript mcpOAuthClients.update
Java client.mcpOAuthClients.update

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
client_id path PathVar[str] Yes Not specified
body body Valid[Body[McpOAuthClientPatch]] Yes Not specified

Request and response

Contract Value
Request schema McpOAuthClientPatch
Response schema McpOAuthClient
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Rotate secret

HTTP
POST /api/v1/tenants/{tenant_id}/mcp/oauth-clients/{client_id}/rotate-secret

Contract operation: McpOAuthClientController.rotate_secret.

SDK Method
Python rotate_mcp_oauth_client_secret
TypeScript mcpOAuthClients.rotateSecret
Java client.mcpOAuthClients.rotateSecret

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
client_id path PathVar[str] Yes Not specified
body body Valid[Body[McpOAuthClientRevision]] Yes Not specified

Request and response

Contract Value
Request schema McpOAuthClientRevision
Response schema McpOAuthClientCredential
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.